Subject: Re: Syntax error when compiling libmcrypt
From: "Sukhwinder Singh" <[email-masked]>
To: "Larry Hall \(RFK Partners, Inc\)" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 8 May 2002 21:53:40 +0530

>The key is to determine why Cygwin has a problem with this script.  If
>you look at it, it may help you find the solution.

Yes I checked everything and then sent an email to author of libmcrypt. On
his website it is written that to compile libmcrypt on windows use cygwin.
It was only because of this reason that I downloaded cygwin.

Who should I ask?

I wrote to him with all the output and config.log. He said that there was no
problem with ./configure script as it was
automatically created using some tool. He forwarded my message here. But no
one replied.
Me too was able to compile libmcrypt from same source on Linux.

So if anyone can help me to solve this problem then please....Otherwise I
think I should forget about compiling libmcrypt on Windows.

If you want to help then here is the detailed information about what is
happening.
.....
checking whether build environment is sane... yes
checking for mawk... no
checking for gawk... gawk
checking whether make sets ${MAKE}... eval: 1: Syntax error: Unterminated
quoted
 string

The log file created is:

This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by configure, which was
generated by GNU Autoconf 2.52.  Invocation command line was

  $ ./configure

## ---------- ##
## Platform.  ##
## ---------- ##

hostname = DEFAULT
uname -m = i586
uname -r = 1.3.10(0.51/3/2)
uname -s = CYGWIN_95-4.0
uname -v = 2002-02-25 11:14

/usr/bin/uname -p = unknown
/bin/uname -X     = unknown

/bin/arch              = unknown
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
hostinfo               = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH =
/usr/local/bin:/usr/bin:/bin:/cygdrive/d/WINDOWS:/cygdrive/d/WINDOWS/COMMAND
:/cygdrive/d/JAVA/J2EESDK1.3/BIN:/cygdrive/d/JAVA/ANT14/BIN:/cygdrive/d/JWSD
P-1_0-EA1/BIN:/cygdrive/d/JAVA/JDK1.4/BIN:/cygdrive/d/PROGRAMFILES/MTS:/cygd
rive/d/C/LCC/BIN:/cygdrive/d/C/DJGPP/BIN:/cygdrive/d/C/MING/BIN:/bin:/BIN:/c
ygdrive/d/C/BCC55/BIN:/cygdrive/d/APP/PERL/BIN:/cygdrive/d/MSSQL7/BINN

## ------------ ##
## Core tests.  ##
## ------------ ##

configure:1133: PATH=".;."; conftest.sh
conftest.sh: not found
configure:1136: $? = 127
configure:1185: checking build system type
configure:1203: result: i586-pc-cygwin
configure:1210: checking host system type
configure:1224: result: i586-pc-cygwin
configure:1231: checking target system type
configure:1245: result: i586-pc-cygwin
configure:1270: checking for a BSD compatible install
configure:1319: result: /usr/bin/install -c
configure:1330: checking whether build environment is sane
configure:1373: result: yes
configure:1406: checking for mawk
configure:1432: result: no
configure:1406: checking for gawk
configure:1421: found /usr/bin/gawk
configure:1429: result: gawk
configure:1439: checking whether make sets ${MAKE}

## ----------------- ##
## Cache variables.  ##
## ----------------- ##

ac_cv_env_LDFLAGS_set=''
ac_cv_path_install='/usr/bin/install -c'
ac_cv_env_CFLAGS_set=''
ac_cv_env_CPP_value=''
ac_cv_env_CPPFLAGS_set=''
ac_cv_env_host_alias_set=''
lt_cv_sys_path_separator=':'
ac_cv_env_build_alias_set=''
ac_cv_env_LDFLAGS_value=''
ac_cv_env_target_alias_set=''
ac_cv_host_alias='i586-pc-cygwin'
ac_cv_env_CFLAGS_value=''
ac_cv_env_CC_set=''
ac_cv_build_alias='i586-pc-cygwin'
ac_cv_env_CPPFLAGS_value=''
ac_cv_target_alias='i586-pc-cygwin'
ac_cv_host='i586-pc-cygwin'
ac_cv_env_host_alias_value=''
ac_cv_prog_AWK='gawk'
ac_cv_build='i586-pc-cygwin'
ac_cv_env_build_alias_value=''
ac_cv_target='i586-pc-cygwin'
ac_cv_env_target_alias_value=''
ac_cv_env_CC_value=''
ac_cv_env_CPP_set=''

configure: exit 2

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/